/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * WorldHealthOrganizationBulletins
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class WorldHealthOrganizationBulletins {
  @SerializedName("id")
  private String id = null;

  @SerializedName("title")
  private String title = null;

  @SerializedName("short_description")
  private String shortDescription = null;

  @SerializedName("level")
  private String level = null;

  @SerializedName("alert_date")
  private String alertDate = null;

  public WorldHealthOrganizationBulletins id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Unique ID of the alert
   * @return id
  **/
  @ApiModelProperty(required = true, value = "Unique ID of the alert")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public WorldHealthOrganizationBulletins title(String title) {
    this.title = title;
    return this;
  }

   /**
   * Title of the alert
   * @return title
  **/
  @ApiModelProperty(value = "Title of the alert")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public WorldHealthOrganizationBulletins shortDescription(String shortDescription) {
    this.shortDescription = shortDescription;
    return this;
  }

   /**
   * Short description of the alert
   * @return shortDescription
  **/
  @ApiModelProperty(value = "Short description of the alert")
  public String getShortDescription() {
    return shortDescription;
  }

  public void setShortDescription(String shortDescription) {
    this.shortDescription = shortDescription;
  }

  public WorldHealthOrganizationBulletins level(String level) {
    this.level = level;
    return this;
  }

   /**
   * Level of the alert
   * @return level
  **/
  @ApiModelProperty(value = "Level of the alert")
  public String getLevel() {
    return level;
  }

  public void setLevel(String level) {
    this.level = level;
  }

  public WorldHealthOrganizationBulletins alertDate(String alertDate) {
    this.alertDate = alertDate;
    return this;
  }

   /**
   * Alert publication date
   * @return alertDate
  **/
  @ApiModelProperty(value = "Alert publication date")
  public String getAlertDate() {
    return alertDate;
  }

  public void setAlertDate(String alertDate) {
    this.alertDate = alertDate;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WorldHealthOrganizationBulletins worldHealthOrganizationBulletins = (WorldHealthOrganizationBulletins) o;
    return Objects.equals(this.id, worldHealthOrganizationBulletins.id) &&
        Objects.equals(this.title, worldHealthOrganizationBulletins.title) &&
        Objects.equals(this.shortDescription, worldHealthOrganizationBulletins.shortDescription) &&
        Objects.equals(this.level, worldHealthOrganizationBulletins.level) &&
        Objects.equals(this.alertDate, worldHealthOrganizationBulletins.alertDate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, title, shortDescription, level, alertDate);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WorldHealthOrganizationBulletins {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    shortDescription: ").append(toIndentedString(shortDescription)).append("\n");
    sb.append("    level: ").append(toIndentedString(level)).append("\n");
    sb.append("    alertDate: ").append(toIndentedString(alertDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

